Bug 486219 - add a configuration option to make running yum-changelog automagical
add a configuration option to make running yum-changelog automagical
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-02-18 17:03 EST by Matěj Cepl
Modified: 2014-01-21 18:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-03 16:45:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2009-02-18 17:03:08 EST
Description of problem:
(22:38:22) mcepl: skvidal: I am probably an idiot, but is it possible to make yum-changlelog to work automatically on every yum upgrade without explicit specifying it on the command line? I thought that it is what enabled=1 in its configuration means ...
(22:38:42) skvidal: enabled=1 means the plugin works at all
(22:39:55) skvidal: mcepl: and it looks like there is no config for the changelog plugin to be enabled all the time
(22:40:06) skvidal: mcepl: wait
(22:40:08) skvidal: I'm wrong
(22:40:56) skvidal: mcepl: no, I'm right - you can only specify when the changelogs are outputted - not if
(22:41:04) skvidal: mcepl: so - file an rfe - or better yet a patch :)

Which I am doing right now ;-)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run yum upgrade (without --changelog)
Actual results:
no changelogs from the currently suggested upgrades provided

Expected results:
there should be a configuration option which would make yum to run yum-changelog automagically

Additional info:
Comment 1 seth vidal 2009-03-03 16:45:05 EST
yum 1.1.20 has this.
Comment 2 Tim Lauridsen 2009-03-04 04:20:18 EST
yum-utils-1.1.20 :)

Note You need to log in before you can comment on or make changes to this bug.